/*
CVE Services API

The CVE Services API supports automation tooling for the CVE Program. Credentials are     required for most service endpoints. Representatives of     <a href='https://www.cve.org/ProgramOrganization/CNAs'>CVE Numbering Authorities (CNAs)</a> should     use one of the methods below to obtain credentials:    <ul><li>If your organization already has an Organizational Administrator (OA) account for the CVE     Services, ask your admin for credentials</li>     <li>Contact your Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/Google'>Google</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/INCIBE'>INCIBE</a>,     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/jpcert'>JPCERT/CC</a>, or     <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/redhat'>Red Hat</a>) or     Top-Level Root (<a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/icscert'>CISA ICS</a>     or <a href='https://www.cve.org/PartnerInformation/ListofPartners/partner/mitre'>MITRE</a>) to request credentials     </ul>     <p>CVE data is to be in the JSON 5.0 CVE Record format. Details of the JSON 5.0 schema are     located <a href='https://github.com/CVEProject/cve-schema/tree/master/schema/v5.0' target='_blank'>here</a>.</p>    <a href='https://cveform.mitre.org/' class='link' target='_blank'>Contact the CVE Services team</a>

API version: 2.1.4
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package cveapi

import (
	"encoding/json"
	"time"
)

// checks if the CreateFullCveRecordRequestContainersCna type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &CreateFullCveRecordRequestContainersCna{}

// CreateFullCveRecordRequestContainersCna struct for CreateFullCveRecordRequestContainersCna
type CreateFullCveRecordRequestContainersCna struct {
	Affected []CreateFullCveRecordRequestContainersCnaAffectedInner `json:"affected"`
	Descriptions []GetCveRecordResponseContainersCnaDescriptionsInner `json:"descriptions"`
	ProblemTypes []GetCveRecordResponseContainersCnaProblemTypesInner `json:"problemTypes,omitempty"`
	ProviderMetadata CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata `json:"providerMetadata"`
	References []GetCveRecordResponseContainersCnaReferencesInner `json:"references"`
	DateAssigned *time.Time `json:"dateAssigned,omitempty"`
	DatePublic *time.Time `json:"datePublic,omitempty"`
	Title *string `json:"title,omitempty"`
	Impacts []interface{} `json:"impacts,omitempty"`
	Metrics []interface{} `json:"metrics,omitempty"`
	Configurations []interface{} `json:"configurations,omitempty"`
	Workarounds []interface{} `json:"workarounds,omitempty"`
	Solutions []interface{} `json:"solutions,omitempty"`
	Exploits []interface{} `json:"exploits,omitempty"`
	Timeline []interface{} `json:"timeline,omitempty"`
	Credits []interface{} `json:"credits,omitempty"`
	Source *string `json:"source,omitempty"`
	Tags []interface{} `json:"tags,omitempty"`
	TaxonomyMappings []interface{} `json:"taxonomyMappings,omitempty"`
}

// NewCreateFullCveRecordRequestContainersCna instantiates a new CreateFullCveRecordRequestContainersCna object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewCreateFullCveRecordRequestContainersCna(affected []CreateFullCveRecordRequestContainersCnaAffectedInner, descriptions []GetCveRecordResponseContainersCnaDescriptionsInner, providerMetadata CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata, references []GetCveRecordResponseContainersCnaReferencesInner) *CreateFullCveRecordRequestContainersCna {
	this := CreateFullCveRecordRequestContainersCna{}
	this.Affected = affected
	this.Descriptions = descriptions
	this.ProviderMetadata = providerMetadata
	this.References = references
	return &this
}

// NewCreateFullCveRecordRequestContainersCnaWithDefaults instantiates a new CreateFullCveRecordRequestContainersCna object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewCreateFullCveRecordRequestContainersCnaWithDefaults() *CreateFullCveRecordRequestContainersCna {
	this := CreateFullCveRecordRequestContainersCna{}
	return &this
}

// GetAffected returns the Affected field value
func (o *CreateFullCveRecordRequestContainersCna) GetAffected() []CreateFullCveRecordRequestContainersCnaAffectedInner {
	if o == nil {
		var ret []CreateFullCveRecordRequestContainersCnaAffectedInner
		return ret
	}

	return o.Affected
}

// GetAffectedOk returns a tuple with the Affected field value
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetAffectedOk() ([]CreateFullCveRecordRequestContainersCnaAffectedInner, bool) {
	if o == nil {
		return nil, false
	}
	return o.Affected, true
}

// SetAffected sets field value
func (o *CreateFullCveRecordRequestContainersCna) SetAffected(v []CreateFullCveRecordRequestContainersCnaAffectedInner) {
	o.Affected = v
}

// GetDescriptions returns the Descriptions field value
func (o *CreateFullCveRecordRequestContainersCna) GetDescriptions() []GetCveRecordResponseContainersCnaDescriptionsInner {
	if o == nil {
		var ret []GetCveRecordResponseContainersCnaDescriptionsInner
		return ret
	}

	return o.Descriptions
}

// GetDescriptionsOk returns a tuple with the Descriptions field value
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetDescriptionsOk() ([]GetCveRecordResponseContainersCnaDescriptionsInner, bool) {
	if o == nil {
		return nil, false
	}
	return o.Descriptions, true
}

// SetDescriptions sets field value
func (o *CreateFullCveRecordRequestContainersCna) SetDescriptions(v []GetCveRecordResponseContainersCnaDescriptionsInner) {
	o.Descriptions = v
}

// GetProblemTypes returns the ProblemTypes field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetProblemTypes() []GetCveRecordResponseContainersCnaProblemTypesInner {
	if o == nil || IsNil(o.ProblemTypes) {
		var ret []GetCveRecordResponseContainersCnaProblemTypesInner
		return ret
	}
	return o.ProblemTypes
}

// GetProblemTypesOk returns a tuple with the ProblemTypes field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetProblemTypesOk() ([]GetCveRecordResponseContainersCnaProblemTypesInner, bool) {
	if o == nil || IsNil(o.ProblemTypes) {
		return nil, false
	}
	return o.ProblemTypes, true
}

// HasProblemTypes returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasProblemTypes() bool {
	if o != nil && !IsNil(o.ProblemTypes) {
		return true
	}

	return false
}

// SetProblemTypes gets a reference to the given []GetCveRecordResponseContainersCnaProblemTypesInner and assigns it to the ProblemTypes field.
func (o *CreateFullCveRecordRequestContainersCna) SetProblemTypes(v []GetCveRecordResponseContainersCnaProblemTypesInner) {
	o.ProblemTypes = v
}

// GetProviderMetadata returns the ProviderMetadata field value
func (o *CreateFullCveRecordRequestContainersCna) GetProviderMetadata() CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata {
	if o == nil {
		var ret CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata
		return ret
	}

	return o.ProviderMetadata
}

// GetProviderMetadataOk returns a tuple with the ProviderMetadata field value
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetProviderMetadataOk() (*CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata, bool) {
	if o == nil {
		return nil, false
	}
	return &o.ProviderMetadata, true
}

// SetProviderMetadata sets field value
func (o *CreateFullCveRecordRequestContainersCna) SetProviderMetadata(v CreateCveRecordRejectionResponseCreatedContainersCnaProviderMetadata) {
	o.ProviderMetadata = v
}

// GetReferences returns the References field value
func (o *CreateFullCveRecordRequestContainersCna) GetReferences() []GetCveRecordResponseContainersCnaReferencesInner {
	if o == nil {
		var ret []GetCveRecordResponseContainersCnaReferencesInner
		return ret
	}

	return o.References
}

// GetReferencesOk returns a tuple with the References field value
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetReferencesOk() ([]GetCveRecordResponseContainersCnaReferencesInner, bool) {
	if o == nil {
		return nil, false
	}
	return o.References, true
}

// SetReferences sets field value
func (o *CreateFullCveRecordRequestContainersCna) SetReferences(v []GetCveRecordResponseContainersCnaReferencesInner) {
	o.References = v
}

// GetDateAssigned returns the DateAssigned field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetDateAssigned() time.Time {
	if o == nil || IsNil(o.DateAssigned) {
		var ret time.Time
		return ret
	}
	return *o.DateAssigned
}

// GetDateAssignedOk returns a tuple with the DateAssigned field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetDateAssignedOk() (*time.Time, bool) {
	if o == nil || IsNil(o.DateAssigned) {
		return nil, false
	}
	return o.DateAssigned, true
}

// HasDateAssigned returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasDateAssigned() bool {
	if o != nil && !IsNil(o.DateAssigned) {
		return true
	}

	return false
}

// SetDateAssigned gets a reference to the given time.Time and assigns it to the DateAssigned field.
func (o *CreateFullCveRecordRequestContainersCna) SetDateAssigned(v time.Time) {
	o.DateAssigned = &v
}

// GetDatePublic returns the DatePublic field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetDatePublic() time.Time {
	if o == nil || IsNil(o.DatePublic) {
		var ret time.Time
		return ret
	}
	return *o.DatePublic
}

// GetDatePublicOk returns a tuple with the DatePublic field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetDatePublicOk() (*time.Time, bool) {
	if o == nil || IsNil(o.DatePublic) {
		return nil, false
	}
	return o.DatePublic, true
}

// HasDatePublic returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasDatePublic() bool {
	if o != nil && !IsNil(o.DatePublic) {
		return true
	}

	return false
}

// SetDatePublic gets a reference to the given time.Time and assigns it to the DatePublic field.
func (o *CreateFullCveRecordRequestContainersCna) SetDatePublic(v time.Time) {
	o.DatePublic = &v
}

// GetTitle returns the Title field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetTitle() string {
	if o == nil || IsNil(o.Title) {
		var ret string
		return ret
	}
	return *o.Title
}

// GetTitleOk returns a tuple with the Title field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetTitleOk() (*string, bool) {
	if o == nil || IsNil(o.Title) {
		return nil, false
	}
	return o.Title, true
}

// HasTitle returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasTitle() bool {
	if o != nil && !IsNil(o.Title) {
		return true
	}

	return false
}

// SetTitle gets a reference to the given string and assigns it to the Title field.
func (o *CreateFullCveRecordRequestContainersCna) SetTitle(v string) {
	o.Title = &v
}

// GetImpacts returns the Impacts field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetImpacts() []interface{} {
	if o == nil || IsNil(o.Impacts) {
		var ret []interface{}
		return ret
	}
	return o.Impacts
}

// GetImpactsOk returns a tuple with the Impacts field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetImpactsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Impacts) {
		return nil, false
	}
	return o.Impacts, true
}

// HasImpacts returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasImpacts() bool {
	if o != nil && !IsNil(o.Impacts) {
		return true
	}

	return false
}

// SetImpacts gets a reference to the given []interface{} and assigns it to the Impacts field.
func (o *CreateFullCveRecordRequestContainersCna) SetImpacts(v []interface{}) {
	o.Impacts = v
}

// GetMetrics returns the Metrics field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetMetrics() []interface{} {
	if o == nil || IsNil(o.Metrics) {
		var ret []interface{}
		return ret
	}
	return o.Metrics
}

// GetMetricsOk returns a tuple with the Metrics field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetMetricsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Metrics) {
		return nil, false
	}
	return o.Metrics, true
}

// HasMetrics returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasMetrics() bool {
	if o != nil && !IsNil(o.Metrics) {
		return true
	}

	return false
}

// SetMetrics gets a reference to the given []interface{} and assigns it to the Metrics field.
func (o *CreateFullCveRecordRequestContainersCna) SetMetrics(v []interface{}) {
	o.Metrics = v
}

// GetConfigurations returns the Configurations field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetConfigurations() []interface{} {
	if o == nil || IsNil(o.Configurations) {
		var ret []interface{}
		return ret
	}
	return o.Configurations
}

// GetConfigurationsOk returns a tuple with the Configurations field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetConfigurationsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Configurations) {
		return nil, false
	}
	return o.Configurations, true
}

// HasConfigurations returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasConfigurations() bool {
	if o != nil && !IsNil(o.Configurations) {
		return true
	}

	return false
}

// SetConfigurations gets a reference to the given []interface{} and assigns it to the Configurations field.
func (o *CreateFullCveRecordRequestContainersCna) SetConfigurations(v []interface{}) {
	o.Configurations = v
}

// GetWorkarounds returns the Workarounds field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetWorkarounds() []interface{} {
	if o == nil || IsNil(o.Workarounds) {
		var ret []interface{}
		return ret
	}
	return o.Workarounds
}

// GetWorkaroundsOk returns a tuple with the Workarounds field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetWorkaroundsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Workarounds) {
		return nil, false
	}
	return o.Workarounds, true
}

// HasWorkarounds returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasWorkarounds() bool {
	if o != nil && !IsNil(o.Workarounds) {
		return true
	}

	return false
}

// SetWorkarounds gets a reference to the given []interface{} and assigns it to the Workarounds field.
func (o *CreateFullCveRecordRequestContainersCna) SetWorkarounds(v []interface{}) {
	o.Workarounds = v
}

// GetSolutions returns the Solutions field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetSolutions() []interface{} {
	if o == nil || IsNil(o.Solutions) {
		var ret []interface{}
		return ret
	}
	return o.Solutions
}

// GetSolutionsOk returns a tuple with the Solutions field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetSolutionsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Solutions) {
		return nil, false
	}
	return o.Solutions, true
}

// HasSolutions returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasSolutions() bool {
	if o != nil && !IsNil(o.Solutions) {
		return true
	}

	return false
}

// SetSolutions gets a reference to the given []interface{} and assigns it to the Solutions field.
func (o *CreateFullCveRecordRequestContainersCna) SetSolutions(v []interface{}) {
	o.Solutions = v
}

// GetExploits returns the Exploits field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetExploits() []interface{} {
	if o == nil || IsNil(o.Exploits) {
		var ret []interface{}
		return ret
	}
	return o.Exploits
}

// GetExploitsOk returns a tuple with the Exploits field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetExploitsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Exploits) {
		return nil, false
	}
	return o.Exploits, true
}

// HasExploits returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasExploits() bool {
	if o != nil && !IsNil(o.Exploits) {
		return true
	}

	return false
}

// SetExploits gets a reference to the given []interface{} and assigns it to the Exploits field.
func (o *CreateFullCveRecordRequestContainersCna) SetExploits(v []interface{}) {
	o.Exploits = v
}

// GetTimeline returns the Timeline field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetTimeline() []interface{} {
	if o == nil || IsNil(o.Timeline) {
		var ret []interface{}
		return ret
	}
	return o.Timeline
}

// GetTimelineOk returns a tuple with the Timeline field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetTimelineOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Timeline) {
		return nil, false
	}
	return o.Timeline, true
}

// HasTimeline returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasTimeline() bool {
	if o != nil && !IsNil(o.Timeline) {
		return true
	}

	return false
}

// SetTimeline gets a reference to the given []interface{} and assigns it to the Timeline field.
func (o *CreateFullCveRecordRequestContainersCna) SetTimeline(v []interface{}) {
	o.Timeline = v
}

// GetCredits returns the Credits field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetCredits() []interface{} {
	if o == nil || IsNil(o.Credits) {
		var ret []interface{}
		return ret
	}
	return o.Credits
}

// GetCreditsOk returns a tuple with the Credits field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetCreditsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Credits) {
		return nil, false
	}
	return o.Credits, true
}

// HasCredits returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasCredits() bool {
	if o != nil && !IsNil(o.Credits) {
		return true
	}

	return false
}

// SetCredits gets a reference to the given []interface{} and assigns it to the Credits field.
func (o *CreateFullCveRecordRequestContainersCna) SetCredits(v []interface{}) {
	o.Credits = v
}

// GetSource returns the Source field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetSource() string {
	if o == nil || IsNil(o.Source) {
		var ret string
		return ret
	}
	return *o.Source
}

// GetSourceOk returns a tuple with the Source field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetSourceOk() (*string, bool) {
	if o == nil || IsNil(o.Source) {
		return nil, false
	}
	return o.Source, true
}

// HasSource returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasSource() bool {
	if o != nil && !IsNil(o.Source) {
		return true
	}

	return false
}

// SetSource gets a reference to the given string and assigns it to the Source field.
func (o *CreateFullCveRecordRequestContainersCna) SetSource(v string) {
	o.Source = &v
}

// GetTags returns the Tags field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetTags() []interface{} {
	if o == nil || IsNil(o.Tags) {
		var ret []interface{}
		return ret
	}
	return o.Tags
}

// GetTagsOk returns a tuple with the Tags field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetTagsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.Tags) {
		return nil, false
	}
	return o.Tags, true
}

// HasTags returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasTags() bool {
	if o != nil && !IsNil(o.Tags) {
		return true
	}

	return false
}

// SetTags gets a reference to the given []interface{} and assigns it to the Tags field.
func (o *CreateFullCveRecordRequestContainersCna) SetTags(v []interface{}) {
	o.Tags = v
}

// GetTaxonomyMappings returns the TaxonomyMappings field value if set, zero value otherwise.
func (o *CreateFullCveRecordRequestContainersCna) GetTaxonomyMappings() []interface{} {
	if o == nil || IsNil(o.TaxonomyMappings) {
		var ret []interface{}
		return ret
	}
	return o.TaxonomyMappings
}

// GetTaxonomyMappingsOk returns a tuple with the TaxonomyMappings field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *CreateFullCveRecordRequestContainersCna) GetTaxonomyMappingsOk() ([]interface{}, bool) {
	if o == nil || IsNil(o.TaxonomyMappings) {
		return nil, false
	}
	return o.TaxonomyMappings, true
}

// HasTaxonomyMappings returns a boolean if a field has been set.
func (o *CreateFullCveRecordRequestContainersCna) HasTaxonomyMappings() bool {
	if o != nil && !IsNil(o.TaxonomyMappings) {
		return true
	}

	return false
}

// SetTaxonomyMappings gets a reference to the given []interface{} and assigns it to the TaxonomyMappings field.
func (o *CreateFullCveRecordRequestContainersCna) SetTaxonomyMappings(v []interface{}) {
	o.TaxonomyMappings = v
}

func (o CreateFullCveRecordRequestContainersCna) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o CreateFullCveRecordRequestContainersCna) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["affected"] = o.Affected
	toSerialize["descriptions"] = o.Descriptions
	if !IsNil(o.ProblemTypes) {
		toSerialize["problemTypes"] = o.ProblemTypes
	}
	toSerialize["providerMetadata"] = o.ProviderMetadata
	toSerialize["references"] = o.References
	if !IsNil(o.DateAssigned) {
		toSerialize["dateAssigned"] = o.DateAssigned
	}
	if !IsNil(o.DatePublic) {
		toSerialize["datePublic"] = o.DatePublic
	}
	if !IsNil(o.Title) {
		toSerialize["title"] = o.Title
	}
	if !IsNil(o.Impacts) {
		toSerialize["impacts"] = o.Impacts
	}
	if !IsNil(o.Metrics) {
		toSerialize["metrics"] = o.Metrics
	}
	if !IsNil(o.Configurations) {
		toSerialize["configurations"] = o.Configurations
	}
	if !IsNil(o.Workarounds) {
		toSerialize["workarounds"] = o.Workarounds
	}
	if !IsNil(o.Solutions) {
		toSerialize["solutions"] = o.Solutions
	}
	if !IsNil(o.Exploits) {
		toSerialize["exploits"] = o.Exploits
	}
	if !IsNil(o.Timeline) {
		toSerialize["timeline"] = o.Timeline
	}
	if !IsNil(o.Credits) {
		toSerialize["credits"] = o.Credits
	}
	if !IsNil(o.Source) {
		toSerialize["source"] = o.Source
	}
	if !IsNil(o.Tags) {
		toSerialize["tags"] = o.Tags
	}
	if !IsNil(o.TaxonomyMappings) {
		toSerialize["taxonomyMappings"] = o.TaxonomyMappings
	}
	return toSerialize, nil
}

type NullableCreateFullCveRecordRequestContainersCna struct {
	value *CreateFullCveRecordRequestContainersCna
	isSet bool
}

func (v NullableCreateFullCveRecordRequestContainersCna) Get() *CreateFullCveRecordRequestContainersCna {
	return v.value
}

func (v *NullableCreateFullCveRecordRequestContainersCna) Set(val *CreateFullCveRecordRequestContainersCna) {
	v.value = val
	v.isSet = true
}

func (v NullableCreateFullCveRecordRequestContainersCna) IsSet() bool {
	return v.isSet
}

func (v *NullableCreateFullCveRecordRequestContainersCna) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableCreateFullCveRecordRequestContainersCna(val *CreateFullCveRecordRequestContainersCna) *NullableCreateFullCveRecordRequestContainersCna {
	return &NullableCreateFullCveRecordRequestContainersCna{value: val, isSet: true}
}

func (v NullableCreateFullCveRecordRequestContainersCna) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableCreateFullCveRecordRequestContainersCna) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


